org.red5.server.jmx.mxbeans

## Interface WebScopeMXBean

All Superinterfaces:
  ScopeMXBean

All Known Implementing Classes:
  WebScope

    @MXBean
    public interface WebScopeMXBean
    extends ScopeMXBean

An MBean interface for the web scope object.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

### Method Summary

Methods
`boolean` `isShuttingDown()`
`void` `register()`
`void` `setContextPath(String contextPath)`
`void` `setVirtualHosts(String virtualHosts)`
`void` `unregister()`

### Methods inherited from interface org.red5.server.jmx.mxbeans.ScopeMXBean

`createChildScope, destroy, getActiveClients, getActiveConnections, getActiveSubscopes, getContextPath, getDepth, getEnabled, getMaxClients, getMaxConnections, getMaxSubscopes, getPath, getRunning, getServiceHandlerNames, getTotalClients, getTotalConnections, getTotalSubscopes, hasChildScope, hasChildScope, hasContext, hasHandler, hasParent, init, setAutoStart, setChildLoadPath, setDepth, setEnabled, setName, setPersistenceClass, start, stop, unregisterServiceHandler`

### Method Detail

#### setContextPath

    void setContextPath(String contextPath)

#### setVirtualHosts

    void setVirtualHosts(String virtualHosts)

#### register

    void register()

#### unregister

    void unregister()

#### isShuttingDown

    boolean isShuttingDown()